org.eclipse.viatra.integration.uml.derivedfeatures

## Class DerivedFeatures

- java.lang.Object
- - org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup
  - - org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup
    - - org.eclipse.viatra.integration.uml.derivedfeatures.DerivedFeatures

- All Implemented Interfaces:
    IQueryGroup

      public final class DerivedFeatures
      extends BaseGeneratedPatternGroup

  A pattern group formed of all public patterns defined in DerivedFeatures.vql.

  Use the static instance as any `org.eclipse.viatra.query.runtime.api.IPatternGroup`, to conveniently prepare a VIATRA Query engine for matching all patterns originally defined in file DerivedFeatures.vql, in order to achieve better performance than one-by-one on-demand matcher initialization.

  From package org.eclipse.viatra.integration.uml.derivedfeatures, the group contains the definition of the following patterns:

  - actionInput
  - actionOutput
  - activityGroup
  - activityGroupInActivity
  - activityNode
  - activityNodeActivity
  - activityEdgeInGroup
  - activityGroupContainedEdge
  - activityGroupContainedNode
  - activityNodeInGroup
  - activityGroupSubgroup
  - activityGroupSuperGroup
  - classifierAttribute
  - classifierFeature
  - featureFeaturingClassifier
  - directedRelationshipSource
  - directedRelationshipTarget
  - elementOwnedElement
  - elementOwner
  - namespaceMember
  - namespaceOwnedMember
  - redefinableElementRedefinedElement
  - redefinableElementRedefinitionContext
  - relationshipRelatedElement
  - structuredClassifierRole
  - actionContext
  - associationEndType
  - behaviorContext
  - connectableElementEnd
  - deploymentTargetDeployedElement
  - namedElementClientDependency
  - protocolTransitionReferred
  - vertexIncoming
  - vertexOutgoing
  - connectorKind
  - messageMessageKind
  - packageNestedPackage
  - packageOwnedStereotype
  - packageOwnedType
  - propertyIsComposite
  - stateIsComposite
  - namedElementNamespace
  - typePackage
  - classExtension
  - classSuperClass
  - classifierGeneral
  - encapsulatedClassifierOwnedPort
  - extensionMetaclass
  - namedElementQualifiedName
  - namespaceImportedMember
  - opaqueExpressionResult
  - packageNestingPackage
  - redefinableTemplateSignatureInheritedParameter
  - structuredClassifierPart
  - stateIsOrthogonal
  See Also:
    `IPatternGroup`

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup

      `querySpecifications`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionContextQuerySpecification` | `getActionContext()`
    `ActionContextMatcher` | `getActionContext(ViatraQueryEngine engine)`
    `ActionInputQuerySpecification` | `getActionInput()`
    `ActionInputMatcher` | `getActionInput(ViatraQueryEngine engine)`
    `ActionOutputQuerySpecification` | `getActionOutput()`
    `ActionOutputMatcher` | `getActionOutput(ViatraQueryEngine engine)`
    `ActivityEdgeInGroupQuerySpecification` | `getActivityEdgeInGroup()`
    `ActivityEdgeInGroupMatcher` | `getActivityEdgeInGroup(ViatraQueryEngine engine)`
    `ActivityGroupQuerySpecification` | `getActivityGroup()`
    `ActivityGroupMatcher` | `getActivityGroup(ViatraQueryEngine engine)`
    `ActivityGroupContainedEdgeQuerySpecification` | `getActivityGroupContainedEdge()`
    `ActivityGroupContainedEdgeMatcher` | `getActivityGroupContainedEdge(ViatraQueryEngine engine)`
    `ActivityGroupContainedNodeQuerySpecification` | `getActivityGroupContainedNode()`
    `ActivityGroupContainedNodeMatcher` | `getActivityGroupContainedNode(ViatraQueryEngine engine)`
    `ActivityGroupInActivityQuerySpecification` | `getActivityGroupInActivity()`
    `ActivityGroupInActivityMatcher` | `getActivityGroupInActivity(ViatraQueryEngine engine)`
    `ActivityGroupSubgroupQuerySpecification` | `getActivityGroupSubgroup()`
    `ActivityGroupSubgroupMatcher` | `getActivityGroupSubgroup(ViatraQueryEngine engine)`
    `ActivityGroupSuperGroupQuerySpecification` | `getActivityGroupSuperGroup()`
    `ActivityGroupSuperGroupMatcher` | `getActivityGroupSuperGroup(ViatraQueryEngine engine)`
    `ActivityNodeQuerySpecification` | `getActivityNode()`
    `ActivityNodeMatcher` | `getActivityNode(ViatraQueryEngine engine)`
    `ActivityNodeActivityQuerySpecification` | `getActivityNodeActivity()`
    `ActivityNodeActivityMatcher` | `getActivityNodeActivity(ViatraQueryEngine engine)`
    `ActivityNodeInGroupQuerySpecification` | `getActivityNodeInGroup()`
    `ActivityNodeInGroupMatcher` | `getActivityNodeInGroup(ViatraQueryEngine engine)`
    `AssociationEndTypeQuerySpecification` | `getAssociationEndType()`
    `AssociationEndTypeMatcher` | `getAssociationEndType(ViatraQueryEngine engine)`
    `BehaviorContextQuerySpecification` | `getBehaviorContext()`
    `BehaviorContextMatcher` | `getBehaviorContext(ViatraQueryEngine engine)`
    `ClassExtensionQuerySpecification` | `getClassExtension()`
    `ClassExtensionMatcher` | `getClassExtension(ViatraQueryEngine engine)`
    `ClassifierAttributeQuerySpecification` | `getClassifierAttribute()`
    `ClassifierAttributeMatcher` | `getClassifierAttribute(ViatraQueryEngine engine)`
    `ClassifierFeatureQuerySpecification` | `getClassifierFeature()`
    `ClassifierFeatureMatcher` | `getClassifierFeature(ViatraQueryEngine engine)`
    `ClassifierGeneralQuerySpecification` | `getClassifierGeneral()`
    `ClassifierGeneralMatcher` | `getClassifierGeneral(ViatraQueryEngine engine)`
    `ClassSuperClassQuerySpecification` | `getClassSuperClass()`
    `ClassSuperClassMatcher` | `getClassSuperClass(ViatraQueryEngine engine)`
    `ConnectableElementEndQuerySpecification` | `getConnectableElementEnd()`
    `ConnectableElementEndMatcher` | `getConnectableElementEnd(ViatraQueryEngine engine)`
    `ConnectorKindQuerySpecification` | `getConnectorKind()`
    `ConnectorKindMatcher` | `getConnectorKind(ViatraQueryEngine engine)`
    `DeploymentTargetDeployedElementQuerySpecification` | `getDeploymentTargetDeployedElement()`
    `DeploymentTargetDeployedElementMatcher` | `getDeploymentTargetDeployedElement(ViatraQueryEngine engine)`
    `DirectedRelationshipSourceQuerySpecification` | `getDirectedRelationshipSource()`
    `DirectedRelationshipSourceMatcher` | `getDirectedRelationshipSource(ViatraQueryEngine engine)`
    `DirectedRelationshipTargetQuerySpecification` | `getDirectedRelationshipTarget()`
    `DirectedRelationshipTargetMatcher` | `getDirectedRelationshipTarget(ViatraQueryEngine engine)`
    `ElementOwnedElementQuerySpecification` | `getElementOwnedElement()`
    `ElementOwnedElementMatcher` | `getElementOwnedElement(ViatraQueryEngine engine)`
    `ElementOwnerQuerySpecification` | `getElementOwner()`
    `ElementOwnerMatcher` | `getElementOwner(ViatraQueryEngine engine)`
    `EncapsulatedClassifierOwnedPortQuerySpecification` | `getEncapsulatedClassifierOwnedPort()`
    `EncapsulatedClassifierOwnedPortMatcher` | `getEncapsulatedClassifierOwnedPort(ViatraQueryEngine engine)`
    `ExtensionMetaclassQuerySpecification` | `getExtensionMetaclass()`
    `ExtensionMetaclassMatcher` | `getExtensionMetaclass(ViatraQueryEngine engine)`
    `FeatureFeaturingClassifierQuerySpecification` | `getFeatureFeaturingClassifier()`
    `FeatureFeaturingClassifierMatcher` | `getFeatureFeaturingClassifier(ViatraQueryEngine engine)`
    `MessageMessageKindQuerySpecification` | `getMessageMessageKind()`
    `MessageMessageKindMatcher` | `getMessageMessageKind(ViatraQueryEngine engine)`
    `NamedElementClientDependencyQuerySpecification` | `getNamedElementClientDependency()`
    `NamedElementClientDependencyMatcher` | `getNamedElementClientDependency(ViatraQueryEngine engine)`
    `NamedElementNamespaceQuerySpecification` | `getNamedElementNamespace()`
    `NamedElementNamespaceMatcher` | `getNamedElementNamespace(ViatraQueryEngine engine)`
    `NamedElementQualifiedNameQuerySpecification` | `getNamedElementQualifiedName()`
    `NamedElementQualifiedNameMatcher` | `getNamedElementQualifiedName(ViatraQueryEngine engine)`
    `NamespaceImportedMemberQuerySpecification` | `getNamespaceImportedMember()`
    `NamespaceImportedMemberMatcher` | `getNamespaceImportedMember(ViatraQueryEngine engine)`
    `NamespaceMemberQuerySpecification` | `getNamespaceMember()`
    `NamespaceMemberMatcher` | `getNamespaceMember(ViatraQueryEngine engine)`
    `NamespaceOwnedMemberQuerySpecification` | `getNamespaceOwnedMember()`
    `NamespaceOwnedMemberMatcher` | `getNamespaceOwnedMember(ViatraQueryEngine engine)`
    `OpaqueExpressionResultQuerySpecification` | `getOpaqueExpressionResult()`
    `OpaqueExpressionResultMatcher` | `getOpaqueExpressionResult(ViatraQueryEngine engine)`
    `PackageNestedPackageQuerySpecification` | `getPackageNestedPackage()`
    `PackageNestedPackageMatcher` | `getPackageNestedPackage(ViatraQueryEngine engine)`
    `PackageNestingPackageQuerySpecification` | `getPackageNestingPackage()`
    `PackageNestingPackageMatcher` | `getPackageNestingPackage(ViatraQueryEngine engine)`
    `PackageOwnedStereotypeQuerySpecification` | `getPackageOwnedStereotype()`
    `PackageOwnedStereotypeMatcher` | `getPackageOwnedStereotype(ViatraQueryEngine engine)`
    `PackageOwnedTypeQuerySpecification` | `getPackageOwnedType()`
    `PackageOwnedTypeMatcher` | `getPackageOwnedType(ViatraQueryEngine engine)`
    `PropertyIsCompositeQuerySpecification` | `getPropertyIsComposite()`
    `PropertyIsCompositeMatcher` | `getPropertyIsComposite(ViatraQueryEngine engine)`
    `ProtocolTransitionReferredQuerySpecification` | `getProtocolTransitionReferred()`
    `ProtocolTransitionReferredMatcher` | `getProtocolTransitionReferred(ViatraQueryEngine engine)`
    `RedefinableElementRedefinedElementQuerySpecification` | `getRedefinableElementRedefinedElement()`
    `RedefinableElementRedefinedElementMatcher` | `getRedefinableElementRedefinedElement(ViatraQueryEngine engine)`
    `RedefinableElementRedefinitionContextQuerySpecification` | `getRedefinableElementRedefinitionContext()`
    `RedefinableElementRedefinitionContextMatcher` | `getRedefinableElementRedefinitionContext(ViatraQueryEngine engine)`
    `RedefinableTemplateSignatureInheritedParameterQuerySpecification` | `getRedefinableTemplateSignatureInheritedParameter()`
    `RedefinableTemplateSignatureInheritedParameterMatcher` | `getRedefinableTemplateSignatureInheritedParameter(ViatraQueryEngine engine)`
    `RelationshipRelatedElementQuerySpecification` | `getRelationshipRelatedElement()`
    `RelationshipRelatedElementMatcher` | `getRelationshipRelatedElement(ViatraQueryEngine engine)`
    `StateIsCompositeQuerySpecification` | `getStateIsComposite()`
    `StateIsCompositeMatcher` | `getStateIsComposite(ViatraQueryEngine engine)`
    `StateIsOrthogonalQuerySpecification` | `getStateIsOrthogonal()`
    `StateIsOrthogonalMatcher` | `getStateIsOrthogonal(ViatraQueryEngine engine)`
    `StructuredClassifierPartQuerySpecification` | `getStructuredClassifierPart()`
    `StructuredClassifierPartMatcher` | `getStructuredClassifierPart(ViatraQueryEngine engine)`
    `StructuredClassifierRoleQuerySpecification` | `getStructuredClassifierRole()`
    `StructuredClassifierRoleMatcher` | `getStructuredClassifierRole(ViatraQueryEngine engine)`
    `TypePackageQuerySpecification` | `getTypePackage()`
    `TypePackageMatcher` | `getTypePackage(ViatraQueryEngine engine)`
    `VertexIncomingQuerySpecification` | `getVertexIncoming()`
    `VertexIncomingMatcher` | `getVertexIncoming(ViatraQueryEngine engine)`
    `VertexOutgoingQuerySpecification` | `getVertexOutgoing()`
    `VertexOutgoingMatcher` | `getVertexOutgoing(ViatraQueryEngine engine)`
    `static DerivedFeatures` | `instance()` Access the pattern group.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseGeneratedPatternGroup

      `getSpecifications`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.api.impl.BaseQueryGroup

      `prepare, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static DerivedFeatures instance()
                                          throws ViatraQueryException

      Access the pattern group.
      Returns:
        the singleton instance of the group
      Throws:
        `ViatraQueryException` - if there was an error loading the generated code of pattern specifications

    - #### getActionInput

          public ActionInputQuerySpecification getActionInput()
                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActionInput

          public ActionInputMatcher getActionInput(ViatraQueryEngine engine)
                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActionOutput

          public ActionOutputQuerySpecification getActionOutput()
                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActionOutput

          public ActionOutputMatcher getActionOutput(ViatraQueryEngine engine)
                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroup

          public ActivityGroupQuerySpecification getActivityGroup()
                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroup

          public ActivityGroupMatcher getActivityGroup(ViatraQueryEngine engine)
                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupInActivity

          public ActivityGroupInActivityQuerySpecification getActivityGroupInActivity()
                                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupInActivity

          public ActivityGroupInActivityMatcher getActivityGroupInActivity(ViatraQueryEngine engine)
                                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityNode

          public ActivityNodeQuerySpecification getActivityNode()
                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityNode

          public ActivityNodeMatcher getActivityNode(ViatraQueryEngine engine)
                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityNodeActivity

          public ActivityNodeActivityQuerySpecification getActivityNodeActivity()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityNodeActivity

          public ActivityNodeActivityMatcher getActivityNodeActivity(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityEdgeInGroup

          public ActivityEdgeInGroupQuerySpecification getActivityEdgeInGroup()
                                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityEdgeInGroup

          public ActivityEdgeInGroupMatcher getActivityEdgeInGroup(ViatraQueryEngine engine)
                                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupContainedEdge

          public ActivityGroupContainedEdgeQuerySpecification getActivityGroupContainedEdge()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupContainedEdge

          public ActivityGroupContainedEdgeMatcher getActivityGroupContainedEdge(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupContainedNode

          public ActivityGroupContainedNodeQuerySpecification getActivityGroupContainedNode()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupContainedNode

          public ActivityGroupContainedNodeMatcher getActivityGroupContainedNode(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityNodeInGroup

          public ActivityNodeInGroupQuerySpecification getActivityNodeInGroup()
                                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityNodeInGroup

          public ActivityNodeInGroupMatcher getActivityNodeInGroup(ViatraQueryEngine engine)
                                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupSubgroup

          public ActivityGroupSubgroupQuerySpecification getActivityGroupSubgroup()
                                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupSubgroup

          public ActivityGroupSubgroupMatcher getActivityGroupSubgroup(ViatraQueryEngine engine)
                                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupSuperGroup

          public ActivityGroupSuperGroupQuerySpecification getActivityGroupSuperGroup()
                                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActivityGroupSuperGroup

          public ActivityGroupSuperGroupMatcher getActivityGroupSuperGroup(ViatraQueryEngine engine)
                                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassifierAttribute

          public ClassifierAttributeQuerySpecification getClassifierAttribute()
                                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassifierAttribute

          public ClassifierAttributeMatcher getClassifierAttribute(ViatraQueryEngine engine)
                                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassifierFeature

          public ClassifierFeatureQuerySpecification getClassifierFeature()
                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassifierFeature

          public ClassifierFeatureMatcher getClassifierFeature(ViatraQueryEngine engine)
                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getFeatureFeaturingClassifier

          public FeatureFeaturingClassifierQuerySpecification getFeatureFeaturingClassifier()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getFeatureFeaturingClassifier

          public FeatureFeaturingClassifierMatcher getFeatureFeaturingClassifier(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getDirectedRelationshipSource

          public DirectedRelationshipSourceQuerySpecification getDirectedRelationshipSource()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getDirectedRelationshipSource

          public DirectedRelationshipSourceMatcher getDirectedRelationshipSource(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getDirectedRelationshipTarget

          public DirectedRelationshipTargetQuerySpecification getDirectedRelationshipTarget()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getDirectedRelationshipTarget

          public DirectedRelationshipTargetMatcher getDirectedRelationshipTarget(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getElementOwnedElement

          public ElementOwnedElementQuerySpecification getElementOwnedElement()
                                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getElementOwnedElement

          public ElementOwnedElementMatcher getElementOwnedElement(ViatraQueryEngine engine)
                                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getElementOwner

          public ElementOwnerQuerySpecification getElementOwner()
                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getElementOwner

          public ElementOwnerMatcher getElementOwner(ViatraQueryEngine engine)
                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamespaceMember

          public NamespaceMemberQuerySpecification getNamespaceMember()
                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamespaceMember

          public NamespaceMemberMatcher getNamespaceMember(ViatraQueryEngine engine)
                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamespaceOwnedMember

          public NamespaceOwnedMemberQuerySpecification getNamespaceOwnedMember()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamespaceOwnedMember

          public NamespaceOwnedMemberMatcher getNamespaceOwnedMember(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRedefinableElementRedefinedElement

          public RedefinableElementRedefinedElementQuerySpecification getRedefinableElementRedefinedElement()
                                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRedefinableElementRedefinedElement

          public RedefinableElementRedefinedElementMatcher getRedefinableElementRedefinedElement(ViatraQueryEngine engine)
                                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRedefinableElementRedefinitionContext

          public RedefinableElementRedefinitionContextQuerySpecification getRedefinableElementRedefinitionContext()
                                                                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRedefinableElementRedefinitionContext

          public RedefinableElementRedefinitionContextMatcher getRedefinableElementRedefinitionContext(ViatraQueryEngine engine)
                                                                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRelationshipRelatedElement

          public RelationshipRelatedElementQuerySpecification getRelationshipRelatedElement()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRelationshipRelatedElement

          public RelationshipRelatedElementMatcher getRelationshipRelatedElement(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStructuredClassifierRole

          public StructuredClassifierRoleQuerySpecification getStructuredClassifierRole()
                                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStructuredClassifierRole

          public StructuredClassifierRoleMatcher getStructuredClassifierRole(ViatraQueryEngine engine)
                                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActionContext

          public ActionContextQuerySpecification getActionContext()
                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getActionContext

          public ActionContextMatcher getActionContext(ViatraQueryEngine engine)
                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getAssociationEndType

          public AssociationEndTypeQuerySpecification getAssociationEndType()
                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getAssociationEndType

          public AssociationEndTypeMatcher getAssociationEndType(ViatraQueryEngine engine)
                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getBehaviorContext

          public BehaviorContextQuerySpecification getBehaviorContext()
                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getBehaviorContext

          public BehaviorContextMatcher getBehaviorContext(ViatraQueryEngine engine)
                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getConnectableElementEnd

          public ConnectableElementEndQuerySpecification getConnectableElementEnd()
                                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getConnectableElementEnd

          public ConnectableElementEndMatcher getConnectableElementEnd(ViatraQueryEngine engine)
                                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getDeploymentTargetDeployedElement

          public DeploymentTargetDeployedElementQuerySpecification getDeploymentTargetDeployedElement()
                                                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getDeploymentTargetDeployedElement

          public DeploymentTargetDeployedElementMatcher getDeploymentTargetDeployedElement(ViatraQueryEngine engine)
                                                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamedElementClientDependency

          public NamedElementClientDependencyQuerySpecification getNamedElementClientDependency()
                                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamedElementClientDependency

          public NamedElementClientDependencyMatcher getNamedElementClientDependency(ViatraQueryEngine engine)
                                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getProtocolTransitionReferred

          public ProtocolTransitionReferredQuerySpecification getProtocolTransitionReferred()
                                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getProtocolTransitionReferred

          public ProtocolTransitionReferredMatcher getProtocolTransitionReferred(ViatraQueryEngine engine)
                                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getVertexIncoming

          public VertexIncomingQuerySpecification getVertexIncoming()
                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getVertexIncoming

          public VertexIncomingMatcher getVertexIncoming(ViatraQueryEngine engine)
                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getVertexOutgoing

          public VertexOutgoingQuerySpecification getVertexOutgoing()
                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getVertexOutgoing

          public VertexOutgoingMatcher getVertexOutgoing(ViatraQueryEngine engine)
                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getConnectorKind

          public ConnectorKindQuerySpecification getConnectorKind()
                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getConnectorKind

          public ConnectorKindMatcher getConnectorKind(ViatraQueryEngine engine)
                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getMessageMessageKind

          public MessageMessageKindQuerySpecification getMessageMessageKind()
                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getMessageMessageKind

          public MessageMessageKindMatcher getMessageMessageKind(ViatraQueryEngine engine)
                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageNestedPackage

          public PackageNestedPackageQuerySpecification getPackageNestedPackage()
                                                                         throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageNestedPackage

          public PackageNestedPackageMatcher getPackageNestedPackage(ViatraQueryEngine engine)
                                                              throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageOwnedStereotype

          public PackageOwnedStereotypeQuerySpecification getPackageOwnedStereotype()
                                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageOwnedStereotype

          public PackageOwnedStereotypeMatcher getPackageOwnedStereotype(ViatraQueryEngine engine)
                                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageOwnedType

          public PackageOwnedTypeQuerySpecification getPackageOwnedType()
                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageOwnedType

          public PackageOwnedTypeMatcher getPackageOwnedType(ViatraQueryEngine engine)
                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPropertyIsComposite

          public PropertyIsCompositeQuerySpecification getPropertyIsComposite()
                                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPropertyIsComposite

          public PropertyIsCompositeMatcher getPropertyIsComposite(ViatraQueryEngine engine)
                                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStateIsComposite

          public StateIsCompositeQuerySpecification getStateIsComposite()
                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStateIsComposite

          public StateIsCompositeMatcher getStateIsComposite(ViatraQueryEngine engine)
                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamedElementNamespace

          public NamedElementNamespaceQuerySpecification getNamedElementNamespace()
                                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamedElementNamespace

          public NamedElementNamespaceMatcher getNamedElementNamespace(ViatraQueryEngine engine)
                                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTypePackage

          public TypePackageQuerySpecification getTypePackage()
                                                       throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getTypePackage

          public TypePackageMatcher getTypePackage(ViatraQueryEngine engine)
                                            throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassExtension

          public ClassExtensionQuerySpecification getClassExtension()
                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassExtension

          public ClassExtensionMatcher getClassExtension(ViatraQueryEngine engine)
                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassSuperClass

          public ClassSuperClassQuerySpecification getClassSuperClass()
                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassSuperClass

          public ClassSuperClassMatcher getClassSuperClass(ViatraQueryEngine engine)
                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassifierGeneral

          public ClassifierGeneralQuerySpecification getClassifierGeneral()
                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getClassifierGeneral

          public ClassifierGeneralMatcher getClassifierGeneral(ViatraQueryEngine engine)
                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEncapsulatedClassifierOwnedPort

          public EncapsulatedClassifierOwnedPortQuerySpecification getEncapsulatedClassifierOwnedPort()
                                                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getEncapsulatedClassifierOwnedPort

          public EncapsulatedClassifierOwnedPortMatcher getEncapsulatedClassifierOwnedPort(ViatraQueryEngine engine)
                                                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getExtensionMetaclass

          public ExtensionMetaclassQuerySpecification getExtensionMetaclass()
                                                                     throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getExtensionMetaclass

          public ExtensionMetaclassMatcher getExtensionMetaclass(ViatraQueryEngine engine)
                                                          throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamedElementQualifiedName

          public NamedElementQualifiedNameQuerySpecification getNamedElementQualifiedName()
                                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamedElementQualifiedName

          public NamedElementQualifiedNameMatcher getNamedElementQualifiedName(ViatraQueryEngine engine)
                                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamespaceImportedMember

          public NamespaceImportedMemberQuerySpecification getNamespaceImportedMember()
                                                                               throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getNamespaceImportedMember

          public NamespaceImportedMemberMatcher getNamespaceImportedMember(ViatraQueryEngine engine)
                                                                    throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getOpaqueExpressionResult

          public OpaqueExpressionResultQuerySpecification getOpaqueExpressionResult()
                                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getOpaqueExpressionResult

          public OpaqueExpressionResultMatcher getOpaqueExpressionResult(ViatraQueryEngine engine)
                                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageNestingPackage

          public PackageNestingPackageQuerySpecification getPackageNestingPackage()
                                                                           throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getPackageNestingPackage

          public PackageNestingPackageMatcher getPackageNestingPackage(ViatraQueryEngine engine)
                                                                throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRedefinableTemplateSignatureInheritedParameter

          public RedefinableTemplateSignatureInheritedParameterQuerySpecification getRedefinableTemplateSignatureInheritedParameter()
                                                                                                                             throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getRedefinableTemplateSignatureInheritedParameter

          public RedefinableTemplateSignatureInheritedParameterMatcher getRedefinableTemplateSignatureInheritedParameter(ViatraQueryEngine engine)
                                                                                                                  throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStructuredClassifierPart

          public StructuredClassifierPartQuerySpecification getStructuredClassifierPart()
                                                                                 throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStructuredClassifierPart

          public StructuredClassifierPartMatcher getStructuredClassifierPart(ViatraQueryEngine engine)
                                                                      throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStateIsOrthogonal

          public StateIsOrthogonalQuerySpecification getStateIsOrthogonal()
                                                                   throws ViatraQueryException

      Throws:
        `ViatraQueryException`

    - #### getStateIsOrthogonal

          public StateIsOrthogonalMatcher getStateIsOrthogonal(ViatraQueryEngine engine)
                                                        throws ViatraQueryException

      Throws:
        `ViatraQueryException`